# OpenClassAlarm

OpenClassAlarm detect ruby's open class and alarm it.

## Installation

```
$ gem install open_class_alarm
```

## Usage

```ruby
require 'open_class_alarm'

OpenClassAlarm.enable

class String
end
```

output

```
open_class.rb:5 found open class `String'
```

If OpenClassAlarm#enable given block, automatically be disabled when the block terminates.

```ruby
require 'open_class_alarm'

OpenClassAlarm.enable do
  class String
  end
end

class Hash
end
```

it same

```ruby
require 'open_class_alarm'

OpenClassAlarm.enable
class String
end
OpenClassAlarm.disable

class Hash
end
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/siman-man/open_class_alarm. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

